gig::crossfade_t Struct Reference

Defines the envelope of a crossfade. More...

`#include <gig.h>`

## Public Member Functions

void | serialize (Serialization::Archive *archive)

## Public Attributes

uint8_t | in_start
| Start position of fade in.
uint8_t | in_end
| End position of fade in.
uint8_t | out_start
| Start position of fade out.
uint8_t | out_end
| End postition of fade out.

## Detailed Description

Defines the envelope of a crossfade.

Note: The default value for crossfade points is 0,0,0,0. Layers with such a default value should be treated as if they would not have a crossfade.

Definition at line 405 of file gig.h.

## Member Function Documentation

## serialize()

void gig::crossfade_t::serialize | ( | Serialization::Archive * | archive | ) |

Definition at line 335 of file gig.cpp.

## Member Data Documentation

## in_end

uint8_t gig::crossfade_t::in_end

End position of fade in.

Definition at line 413 of file gig.h.

## in_start

uint8_t gig::crossfade_t::in_start

Start position of fade in.

Definition at line 412 of file gig.h.

## out_end

uint8_t gig::crossfade_t::out_end

End postition of fade out.

Definition at line 415 of file gig.h.

## out_start

uint8_t gig::crossfade_t::out_start

Start position of fade out.

Definition at line 414 of file gig.h.

The documentation for this struct was generated from the following files:

- gig.h
- gig.cpp